{% extends 'base.html.twig' %}

{% block title %}{{ 'user.statistics.head.title'|trans({'%app_name%': 'app.name'|trans})|raw }}{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-lg-9">
                <h1 class="text-center mb-4">{{ 'user.statistics.title'|trans|raw }}</h1>
                <div class="row">
                    <div class="col-6 col-lg-4 col-xl-2">
                        <div class="card text-light bg-primary text-center">
                            <div class="card-header justify-content-center">
                                {{ 'user.statistics.nb_deals'|trans|raw }}
                            </div>
                            <div class="card-body fs-2">
                                {{ statistics.nbDeals }}
                            </div>
                        </div>
                    </div>

                    <div class="col-6 col-lg-4 col-xl-2">
                        <div class="card text-light bg-primary text-center">
                            <div class="card-header justify-content-center">
                                {{ 'user.statistics.nb_comments'|trans|raw }}
                            </div>
                            <div class="card-body fs-2">
                                {{ statistics.nbComments }}
                            </div>
                        </div>
                    </div>

                    <div class="col-6 col-lg-4 col-xl-2">
                        <div class="card text-light bg-primary text-center">
                            <div class="card-header justify-content-center">
                                {{ 'user.statistics.biggerRating'|trans|raw }}
                            </div>
                            <div class="card-body fs-2">
                                {{ 'deal.rating'|trans({'%value%': statistics.biggerRating})|raw }}
                            </div>
                        </div>
                    </div>

                    <div class="col-6 col-lg-4 col-xl-2">
                        <div class="card text-light bg-primary text-center">
                            <div class="card-header justify-content-center">
                                {{ 'user.statistics.avg'|trans|raw }}
                            </div>
                            <div class="card-body fs-2">
                                {{ 'deal.rating'|trans({'%value%': statistics.avg})|raw }}
                            </div>
                        </div>
                    </div>

                    <div class="col-6 col-lg-4 col-xl-2">
                        <div class="card text-light bg-primary text-center">
                            <div class="card-header justify-content-center">
                                {{ 'user.statistics.rateHot'|trans|raw }}
                            </div>
                            <div class="card-body fs-2">
                                {{ statistics.rateHot|format_percent_number }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-3">
                {{ include('layout/deal-hot-day-list.html.twig') }}
            </div>
        </div>
    </div>
{% endblock %}
